# -*- coding: utf-8 -*-
import swapper


def handle_dashboard_swapped_model(app_label, model_name, dotted_path, kwargs):
    if swapper.is_swapped(app_label, model_name):
        new_path = swapper.load_model(app_label, model_name).__module__ + f'.{model_name}'
        kwargs['models'].insert(kwargs['models'].index(dotted_path), new_path)
        kwargs['models'].remove(dotted_path)
